%define with_maven 1
%define with_jas_plotter 0

Name:          freehep-export
Version:       2.1.1
Release:       %mkrel 2
Summary:       FreeHEP Export
Group:         Development/Java
License:       LGPL
Url:           http://java.freehep.org/freehep-export/
# svn checkout svn://svn.freehep.org/svn/freehep/tags/freehep-export-2.1.1 freehep-export
# tar czf jas-plotter-2.2.1-src-svn.tar.gz jas-plotter
Source0:       freehep-export-%{version}-src-svn.tar.gz
Source1:       freehep-export-2.1.1-autogeneratedfiles.tar.gz
# circular deps
Patch0:        freehep-export-2.1.1-remove-jas-plotter-dep.patch
Patch1:        freehep-export-noparent.patch
BuildRequires: freehep-swing
BuildRequires: freehep-util
%if %with_jas_plotter
BuildRequires: jas-plotter
%endif
BuildRequires: java-devel
BuildRequires: java-javadoc
BuildRequires: junit
BuildRequires: jpackage-utils
%if !%with_maven
BuildRequires: ant
BuildRequires: ant-junit
BuildRequires: hamcrest
%else
BuildRequires: maven
BuildRequires: maven-ant-plugin
BuildRequires: maven-plugin-exec
BuildRequires: maven-surefire-plugin
BuildRequires: maven-wagon
BuildRequires: forge-parent
%endif
BuildRequires: netbeans-platform
Requires:      freehep-util
Requires:      freehep-swing
Requires:      jpackage-utils
BuildArch:     noarch

%description
Library to register filetypes (which can be loaded as plugin modules).
This library is used by VectorGraphics to allow new output formats to
be added by adding new jar files to the classpath.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}

%description javadoc
FreeHEP Export and Save As Library.

This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}

find -name '*.class' -exec rm -f '{}' \;
find -name '*.jar' -exec rm -f '{}' \;

%if !%with_jas_plotter
%patch0 -p0
%endif

%patch1 -p0

%if !%with_maven
tar xf %{SOURCE1}
cp -pr pom.xml target/classes/META-INF/maven/org.freehep/freehep-export
%endif

%build

%if %with_maven

  mvn-rpmbuild \
%if !%with_jas_plotter
    -Dmaven.test.skip=true \
%endif
    install javadoc:javadoc

%else
  export CLASSPATH=""
  CLASSPATH=$CLASSPATH:$(build-classpath hamcrest/core netbeans/openide-util-lookup)
  CLASSPATH=$CLASSPATH:$(build-classpath freehep-swing freehep-util junit ant/ant-junit):target/classes:target/test-classes
  ant \
    -Duser.home=$PWD \
    -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
    -Dmaven.test.skip=true \
    -Dmaven.settings.offline=true \
    -Dmaven.settings.interactiveMode=false \
    -Dbuild.sysclasspath=first \
    -Dj2se.api=%{_javadocdir}/java \
    jar javadoc

%endif

%install

mkdir -p %{buildroot}%{_javadir}
install -pm 644 target/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%pre javadoc
[ $1 -gt 1 ] && [ -L %{_javadocdir}/%{name} ] && \
rm -rf $(readlink -f %{_javadocdir}/%{name}) %{_javadocdir}/%{name} || :

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Tue Jan 17 2012 dmorgan <dmorgan> 2.1.1-2.mga2
+ Revision: 197595
- Clean spec file

  + gil <gil>
    - rebuilt with maven 3 support

* Fri Jun 10 2011 gil <gil> 2.1.1-0.mga2
+ Revision: 102908
- imported package freehep-export


* Tue May 31 2011 gil <gil> 2.1.1-0.%%mkrel
- initial rpm
